# Method SDL.joystick_event_state()

Method joystick_event_state

  ``int` joystick_event_state(`int` `state`)`

Description

  Enables, disables or queries the state of joystick event processing.

Parameter `state`

  One of the following constants:

    `SDL.ENABLE`

    Enables joystick event processing.

    `SDL.IGNORE`

    Disables joystick event processing.

    `SDL.QUERY`

    Queries the current state and returns it.

Returns

  The current state of joystick event processing. If `state` was `SDL.ENABLE` or `SDL.IGNORE`, then processing will now be enabled or disabled, respectively.